#pragma once

#include <cstdint>

using sample = int16_t;

struct ma_device;

extern sample lookup_sin[256], lookup_square[256];

struct audio {
	audio(int samplerate);
	~audio();

	void callback(sample* output, int frames);
private:
	int _samplerate;
	ma_device* _device;
};